Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve
Class IServe

    java.lang.Object
      ix.icore.IXAgent
          ix.ip2.Ip2
              ix.iserve.IServe

    public class IServe

extends Ip2

A process panel that also acts as an HTTP server.

See Also:
  `HttpServer`

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.Ip2
`Ip2.AddExtensionsHandler, Ip2.AddHandlersHandler`

Field Summary
`protected HttpServer` | `server`
`protected java.lang.Thread` | `serverThread`

Fields inherited from class ix.ip2.Ip2
`activityViewer, agentTypeName, annotationViewer, controller, domain, frame, issueViewer, logoImage, logoLine1, logoLine2, modelManager, optionManager, resetHooks, showOptions, stateViewer`

Fields inherited from class ix.icore.IXAgent
`contactManager, displayName, eventLogger, exitHooks, initialDisplayName, ipcName, ipcStrategyName, iSimTimer, mainAgent, nameListeners, startupDate, startupHooks, symbolName, textFrame`

Constructor Summary
`IServe()`

Method Summary
`void` | `addAboutInfo(java.util.List about)` Called to add "About" information.
`protected void` | `addHandlers()` Install any built-in issue and activity handlers.
`protected void` | `configureServer(HttpServer server)` Configures the http-server before it's started.
`HttpServer` | `getHttpServer()`
`static void` | `main(java.lang.String[] argv)`
`protected HttpServer` | `makeHttpServer(int port)` Factory method called to create the http-server.
`void` | `startup()` Completes basic I-P2 setup and initialization.

Methods inherited from class ix.ip2.Ip2
`addForwardingHandler, addHandlers, addResetHook, addTest, addTestMenuItems, addTool, clearAllButState, clearModel, completeStartup, do_reloadViewers, ensureTool, getActivityPatternSyntaxes, getAgentTypeName, getController, getDomain, getFrame, getIp2ModelManager, getModelManager, getOptionManager, getPlan, handleInput, handleInputDirectly, handleNewActivity, handleNewChatMessage, handleNewConstraint, handleNewIssue, handleNewReport, initOptions, isReloadingViewers, loadDomain, loadInitialPlan, loadPlan, loadPlan, loadPlan, makeActivityViewer, makeAnnotationViewer, makeController, makeIp2Frame, makeIssueViewer, makeLogoPanel, makeModelManager, makeStateViewer, makeViewer, processCommandLineArguments, readDomain, readDomain, reloadViewers, reset, resetAllButState, resetViewers, savePlanAs`

Methods inherited from class ix.icore.IXAgent
`addAgentNameListener, addExitHook, addStartupHook, adjustLookAndFeel, displayMessage, do_mainStartup, exit, fireSymbolNameChanged, getAgent, getAgentDisplayName, getAgentIPCName, getAgentStartupDate, getAgentSymbolName, getContactManager, getEventLogger, getISimTimer, getKnownAgents, handleReceivedReport, installAgentExtensions, installAgentExtensions, isMainAgent, log, mainStartup, notePossibleNewContact, pre_handleInput, preprocessInput, reportInputException, setAgentSymbolName, setEventLogger, setupISimTimer, startServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected HttpServer server

### serverThread

    protected java.lang.Thread serverThread

Constructor Detail

### IServe

    public IServe()

Method Detail

### main

    public static void main(java.lang.String[] argv)

### getHttpServer

    public HttpServer getHttpServer()

### startup

    public void startup()

  Description copied from class: `Ip2`
  Completes basic I-P2 setup and initialization.

  Overrides:
    `startup` in class `Ip2`

### makeHttpServer

    protected HttpServer makeHttpServer(int port)

  Factory method called to create the http-server.

### configureServer

    protected void configureServer(HttpServer server)

  Configures the http-server before it's started.

### addAboutInfo

    public void addAboutInfo(java.util.List about)

  Description copied from class: `Ip2`
  Called to add "About" information. The method provided by the Ip2 class does nothing; it should be overridden in subclasses that have something to add.

  Overrides:
    `addAboutInfo` in class `Ip2`

### addHandlers

    protected void addHandlers()

  Description copied from class: `Ip2`
  Install any built-in issue and activity handlers. Note that the order in which handlers are added here is also the order in which they are asked to add handler-actions.

  Overrides:
    `addHandlers` in class `Ip2`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD